Firefox updates 3.0.2 / 2.0.0.17

If you want to talk about your personal paperweight, you've found the right place!

Moderator: Moderators

Firefox updates 3.0.2 / 2.0.0.17

Postby WarraWarra » Wed Sep 24, 2008 18:09

Seems firefox has updated their 2 and 3 versions.
Current 3.0.2 not yet in gentoo /portage as well as 2.0.0.17 likely not here as well yet.

I have reverted back to 2 version as this 3 version seems to be too much annoyance and bugs , but hey that is just me LOL :cyclops:

3.0.2:
http://www.mozilla.com/products/downloa ... lang=en-US

2.0.0.17:
http://www.mozilla.com/products/downloa ... lang=en-US

Pretty much the same stuff fixed across the board:

Fixed in Firefox 2.0.0.17
MFSA 2008-45 XBM image uninitialized memory reading
MFSA 2008-44 resource: traversal vulnerabilities
MFSA 2008-43 BOM characters stripped from JavaScript before execution
MFSA 2008-42 Crashes with evidence of memory corruption (rv:1.9.0.2/1.8.1.17)
MFSA 2008-41 Privilege escalation via XPCnativeWrapper pollution
MFSA 2008-40 Forced mouse drag
MFSA 2008-39 Privilege escalation using feed preview page and XSS flaw
MFSA 2008-38 nsXMLDocument::OnChannelRedirect() same-origin violation
MFSA 2008-37 UTF-8 URL stack buffer overflow
WarraWarra
Sagely Hen
 
Posts: 1989
Joined: Wed Jan 03, 2007 21:01
Location: 31.324270, -113.585511

Re: Firefox updates 3.0.2 / 2.0.0.17

Postby Fitzcarraldo » Wed Sep 24, 2008 19:24

WarraWarra wrote:I have reverted back to 2 version as this 3 version seems to be too much annoyance and bugs , but hey that is just me LOL :cyclops:

Actually it's not just you: I also reverted back to 2.0.0.16 from 3.0.1 because I found the latter buggy and, frankly, less responsive than 2.0.0.16. After readying various rave reviews of 3.0.1 I was disappointed.
User avatar
Fitzcarraldo
Sagely Hen
 
Posts: 7998
Joined: Sat Mar 10, 2007 5:40
Location: United Kingdom

Re: Firefox updates 3.0.2 / 2.0.0.17

Postby WarraWarra » Thu Oct 02, 2008 21:24

Can anyone tell me what firefox 2.0.0.17 is doing with 630mb of ram ?
60mb sure but 628,660k with 5 tabs open.

I thought they fixed the memory problems.
WarraWarra
Sagely Hen
 
Posts: 1989
Joined: Wed Jan 03, 2007 21:01
Location: 31.324270, -113.585511

Re: Firefox updates 3.0.2 / 2.0.0.17

Postby Stupot » Thu Oct 02, 2008 22:33

They fixed the memory problems by coming out with Firefox 3. Firefox 2 is going the same memory problems it's always had.
Stupot
Sagely Hen
 
Posts: 1556
Joined: Wed Feb 14, 2007 3:44
Location: St. Louis, MO, USA

Re: Firefox updates 3.0.2 / 2.0.0.17

Postby dunsurfin » Thu Oct 02, 2008 23:14

Fitzcarraldo wrote:Actually it's not just you: I also reverted back to 2.0.0.16 from 3.0.1 because I found the latter buggy and, frankly, less responsive than 2.0.0.16. After readying various rave reviews of 3.0.1 I was disappointed.


Have you tried 3.0.2? I've been using it since it appeared in Entropy and find it better than 3.0.1 (the "preferences", "applications" is fixed and it seems more responsive). Just waiting for 3.0.3 (security fix) to arrive now.
Self-righteousness is a loud din raised to drown the voice of guilt within us - Eric Hoffer

Don't believe what it says on the right - I am anything but sagely; More oniony!
dunsurfin
Sagely Hen
 
Posts: 1333
Joined: Sun Jan 07, 2007 21:38
Location: Newcastle upon Tyne UK

Re: Firefox updates 3.0.2 / 2.0.0.17

Postby Fitzcarraldo » Fri Oct 03, 2008 16:08

No, I haven't. dunsurfin, as 3.0.2 is not in Portage, I suspect due to the password bug which has been corrected in 3.0.3, which is in Portage. However, when I merged 3.0.3 just now I get the following error message if I run it in a terminal window:

Code: Select all
$ firefox
LoadPlugin: failed to initialize shared library /opt/netscape/plugins/nphelix.so [/opt/netscape/plugins/nphelix.so: wrong ELF class: ELFCLASS32]
Segmentation fault


and merging 3.0.3 has somehow affected Epiphany as well because, when I try to access this specific thread with Epiphany it crashes! It doesn't for any other thead I've opened. :? Thank goodness for Konqueror, which is what I'm using now.

BTW, I noticed the following message at the end of the build of 3.0.3:

Code: Select all
 * Messages for package www-client/mozilla-firefox-3.0.3:

 * You are enabling official branding. You may not redistribute this build
 * to any users on your network or the internet. Doing so puts yourself into
 * a legal problem with Mozilla Foundation
 * You can disable it by emerging mozilla-firefox _with_ the bindist USE-flag
 * All the packages built against mozilla-firefox won't compile,
 * if after installing firefox 3.0 you get some blockers,
 * please add 'xulrunner' to your USE-flags.


but 3.0.3 on my PC is compiled with the xulrunner USE flag (I didn't select this, it just is that way):

Code: Select all
# eix firefox
[I] www-client/mozilla-firefox
     Available versions:  2.0.0.17 (~)3.0-r1 (~)3.0.3 {bindist custom-optimization dbus debug filepicker gnome iceweasel ipv6 java linguas_af linguas_ar linguas_be linguas_bg linguas_bn linguas_bn_IN linguas_ca linguas_cs linguas_da linguas_de linguas_el linguas_en linguas_en_GB linguas_en_US linguas_es linguas_es_AR linguas_es_ES linguas_eu linguas_fi linguas_fr linguas_fy linguas_fy_NL linguas_ga linguas_ga_IE linguas_gl linguas_gu linguas_gu_IN linguas_he linguas_hi linguas_hi_IN linguas_hu linguas_id linguas_is linguas_it linguas_ja linguas_ka linguas_kn linguas_ko linguas_ku linguas_lt linguas_mk linguas_mn linguas_mr linguas_nb linguas_nb_NO linguas_nl linguas_nn linguas_nn_NO linguas_pa linguas_pa_IN linguas_pl linguas_pt linguas_pt_BR linguas_pt_PT linguas_ro linguas_ru linguas_si linguas_sk linguas_sl linguas_sq linguas_sr linguas_sv linguas_sv_SE linguas_th linguas_tr linguas_uk linguas_zh linguas_zh_CN linguas_zh_TW mozdevelop moznopango restrict-javascript startup-notification xforms xinerama xprint xulrunner}
     Installed versions:  3.0.3(14:58:05 03/10/08)(dbus gnome ipv6 java linguas_en linguas_en_GB startup-notification xulrunner -bindist -custom-optimization -iceweasel -linguas_af -linguas_ar -linguas_be -linguas_bn -linguas_bn_IN -linguas_ca -linguas_cs -linguas_da -linguas_de -linguas_el -linguas_en_US -linguas_es -linguas_es_AR -linguas_es_ES -linguas_eu -linguas_fi -linguas_fr -linguas_fy -linguas_fy_NL -linguas_ga -linguas_ga_IE -linguas_gl -linguas_gu -linguas_gu_IN -linguas_he -linguas_hi -linguas_hi_IN -linguas_hu -linguas_id -linguas_is -linguas_it -linguas_ja -linguas_ka -linguas_kn -linguas_ko -linguas_ku -linguas_lt -linguas_mk -linguas_mn -linguas_mr -linguas_nb -linguas_nb_NO -linguas_nl -linguas_nn -linguas_nn_NO -linguas_pa -linguas_pa_IN -linguas_pl -linguas_pt -linguas_pt_BR -linguas_pt_PT -linguas_ro -linguas_ru -linguas_si -linguas_sk -linguas_sl -linguas_sq -linguas_sr -linguas_sv -linguas_sv_SE -linguas_th -linguas_tr -linguas_uk -linguas_zh -linguas_zh_CN -linguas_zh_TW -mozdevelop -restrict-javascript)
     Homepage:            http://www.mozilla.com/firefox
     Description:         Firefox Web Browser

* www-client/mozilla-firefox-bin
     Available versions:  2.0.0.17 (~)3.0.1-r1 (~)3.0.3 [M](~)3.1_alpha1 [M](~)3.1_alpha2 {linguas_af linguas_ar linguas_be linguas_bg linguas_bn linguas_bn_IN linguas_ca linguas_cs linguas_da linguas_de linguas_el linguas_en linguas_en_GB linguas_en_US linguas_es linguas_es_AR linguas_es_ES linguas_eu linguas_fi linguas_fr linguas_fy linguas_fy_NL linguas_ga linguas_ga_IE linguas_gl linguas_gu linguas_gu_IN linguas_he linguas_hi linguas_hi_IN linguas_hu linguas_id linguas_is linguas_it linguas_ja linguas_ka linguas_kn linguas_ko linguas_ku linguas_lt linguas_mk linguas_mn linguas_mr linguas_nb linguas_nb_NO linguas_nl linguas_nn linguas_nn_NO linguas_pa linguas_pa_IN linguas_pl linguas_pt linguas_pt_BR linguas_pt_PT linguas_ro linguas_ru linguas_si linguas_sk linguas_sl linguas_sq linguas_sr linguas_sv linguas_sv_SE linguas_th linguas_tr linguas_uk linguas_zh linguas_zh_CN linguas_zh_TW restrict-javascript}
     Homepage:            http://www.mozilla.com/firefox
     Description:         Firefox Web Browser

Found 2 matches.


It even crashes if I run it in safe mode and tell it to disable all add ons:

Code: Select all
$ firefox -safe-mode
LoadPlugin: failed to initialize shared library /opt/netscape/plugins/nphelix.so [/opt/netscape/plugins/nphelix.so: wrong ELF class: ELFCLASS32]
Segmentation fault


Firefox is beginning to annoy me!
User avatar
Fitzcarraldo
Sagely Hen
 
Posts: 7998
Joined: Sat Mar 10, 2007 5:40
Location: United Kingdom

Re: Firefox updates 3.0.2 / 2.0.0.17

Postby dunsurfin » Fri Oct 03, 2008 16:59

Sadly firefox safe mode doesn't disable plugins :( I wonder if this problem is why 3.0.3 hasn't appeared in Entropy yet?
You'll probably kick me for this, Fitzcarraldo, but have you considered Opera? :)
Self-righteousness is a loud din raised to drown the voice of guilt within us - Eric Hoffer

Don't believe what it says on the right - I am anything but sagely; More oniony!
dunsurfin
Sagely Hen
 
Posts: 1333
Joined: Sun Jan 07, 2007 21:38
Location: Newcastle upon Tyne UK

Re: Firefox updates 3.0.2 / 2.0.0.17

Postby Fitzcarraldo » Fri Oct 03, 2008 17:10

I don't think the opt/netscape/plugins/nphelix.so is the cause of the problem with 3.0.3, because I've just merged 2.0.0.17 and it gives the same message but runs. I'm now going to try another experiment: I'll remove the .mozilla directory and re-merge 3.0.3 to see what happens.

Re Opera, I've used it under Windows XP a few years ago and quite liked it. If Firefox continues to cause problems then I may well give Opera another try. Thanks for the tip.
User avatar
Fitzcarraldo
Sagely Hen
 
Posts: 7998
Joined: Sat Mar 10, 2007 5:40
Location: United Kingdom

Re: Firefox updates 3.0.2 / 2.0.0.17

Postby dunsurfin » Fri Oct 03, 2008 17:14

If you decide to give Opera a try, have a look at this thread for the freezing problem: viewtopic.php?f=59&t=14901
Self-righteousness is a loud din raised to drown the voice of guilt within us - Eric Hoffer

Don't believe what it says on the right - I am anything but sagely; More oniony!
dunsurfin
Sagely Hen
 
Posts: 1333
Joined: Sun Jan 07, 2007 21:38
Location: Newcastle upon Tyne UK

Re: Firefox updates 3.0.2 / 2.0.0.17

Postby Fitzcarraldo » Sat Oct 04, 2008 2:50

Hmm... Interesting. I've just been rebuilding a few packages that I thought might affect Firefox, then re-merged 3.0.3 and now get the following error message when I run it from a terminal window:

Code: Select all
$ firefox
Couldn't load XRE functions.

Yet 2.0.0.17, which I merged a couple of hours ago, works fine.

By the way, I noticed that the ebuilds of some packages, including the latest version of Totem in Portage, specifically look for version 2.* of Firefox if the xulrunner USE flag is not set:

Code: Select all
# equery depends mozilla-firefox
[ Searching for packages depending on mozilla-firefox... ]
app-crypt/seahorse-2.22.3 (dbus & epiphany & !xulrunner? =www-client/mozilla-firefox-2*)
app-misc/beagle-0.3.8 (firefox? >=www-client/mozilla-firefox-1.5)
app-text/acroread-8.1.2-r3 (x86 & !minimal? www-client/mozilla-firefox)
dev-dotnet/gecko-sharp-0.11-r1 (=www-client/mozilla-firefox-2*)
dev-python/gnome-python-extras-2.19.1-r2 (!xulrunner & firefox? =www-client/mozilla-firefox-2*)
--- WARNING: Package 'net-misc/networkmanager-0.6.4_pre20070208' uses '-*' keyword.
--- WARNING: Package 'net-misc/networkmanager-0.6.4_pre20070208' uses '-*' keyword.
--- WARNING: Package 'net-misc/networkmanager-0.6.4_pre20070208' uses '-*' keyword.
gnome-extra/yelp-2.22.1-r1 (!xulrunner? =www-client/mozilla-firefox-2*)
--- WARNING: Package 'net-misc/networkmanager-0.6.4_pre20070208' uses '-*' keyword.
!!! Invalid Atom: '>=app-text/gocr'
media-video/totem-2.22.2-r1 (nsplugin & !xulrunner & !seamonkey? =www-client/mozilla-firefox-2*)
--- WARNING: Package 'net-misc/networkmanager-0.6.4_pre20070208' uses '-*' keyword.
--- WARNING: Package 'net-misc/networkmanager-0.6.4_pre20070208' uses '-*' keyword.
net-www/mplayerplug-in-3.55 (!xulrunner & firefox? www-client/mozilla-firefox)

I think I'm going to have to re-merge them with the xulrunner USE flag.

And another BTW: I noticed the following message whilst merging netscape-flash-10_rc20080915:

Code: Select all
 * Furthermore, <www-client/mozilla-firefox-3.0.2 is known to crash
 * with the new 'Windowless' (transparent) mode.  To disable this and
 * avoid the crashes, set 'WindowlessDisable = 1' in /etc/adobe/mms.cfg
User avatar
Fitzcarraldo
Sagely Hen
 
Posts: 7998
Joined: Sat Mar 10, 2007 5:40
Location: United Kingdom

Next

Return to Off Topic

Who is online

Users browsing this forum: No registered users and 2 guests